package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 评卷员班级
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("mark_user_class")
@ApiModel(value="MarkUserClass对象", description="评卷员班级")
public class MarkUserClass implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "Id", type = IdType.AUTO)
    private Long Id;

    @ApiModelProperty(value = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "评卷员ID")
    private Long userId;

    @ApiModelProperty(value = "班级名称")
    private String classsName;

    public Long getId() {
        return Id;
    }

    public void setId(Long Id) {
        this.Id = Id;
    }
    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
    public String getClasssName() {
        return classsName;
    }

    public void setClasssName(String classsName) {
        this.classsName = classsName;
    }

    @Override
    public String toString() {
        return "MarkUserClass{" +
            "Id=" + Id +
            ", examId=" + examId +
            ", paperNumber=" + paperNumber +
            ", userId=" + userId +
            ", classsName=" + classsName +
        "}";
    }
}
