package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("scan_paper_page")
@ApiModel(value="ScanPaperPage对象", description="")
public class ScanPaperPage implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "paper_id", type = IdType.AUTO)
    private Long paperId;

    private Integer pageIndex;

    private String absent;

    private String breach;

    private String question;

    private String selective;

    private String sheetPath;

    private String recogData;

    private Long creatorId;

    private Long updaterId;

    private Long createTime;

    private Long updateTime;

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }
    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }
    public String getAbsent() {
        return absent;
    }

    public void setAbsent(String absent) {
        this.absent = absent;
    }
    public String getBreach() {
        return breach;
    }

    public void setBreach(String breach) {
        this.breach = breach;
    }
    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }
    public String getSelective() {
        return selective;
    }

    public void setSelective(String selective) {
        this.selective = selective;
    }
    public String getSheetPath() {
        return sheetPath;
    }

    public void setSheetPath(String sheetPath) {
        this.sheetPath = sheetPath;
    }
    public String getRecogData() {
        return recogData;
    }

    public void setRecogData(String recogData) {
        this.recogData = recogData;
    }
    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }
    public Long getUpdaterId() {
        return updaterId;
    }

    public void setUpdaterId(Long updaterId) {
        this.updaterId = updaterId;
    }
    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "ScanPaperPage{" +
            "paperId=" + paperId +
            ", pageIndex=" + pageIndex +
            ", absent=" + absent +
            ", breach=" + breach +
            ", question=" + question +
            ", selective=" + selective +
            ", sheetPath=" + sheetPath +
            ", recogData=" + recogData +
            ", creatorId=" + creatorId +
            ", updaterId=" + updaterId +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
        "}";
    }
}
